Đến nội dung


Hình ảnh
- - - - -

Chuyển layer.


  • Please log in to reply
6 replies to this topic

#1 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 07 August 2007 - 05:40 PM

Mình có vấn đề như thế này:
Ví dụ: trong một bản vẽ mình có nhiều layer trong đó có layer: 1 và layer: 2
bây giờ mình muốn chuyển tất cả những đối tượng thuộc về layer 1 thành layer 2 (kể cả những đối tượng nằm trong block), để có thể xóa layer 1 đi mà không mất thông tin bản vẽ.
Có thể bằng lệnh của Cad hoạc bằng Lisp, bác nào biết chỉ giúp với, xin cám ơn !
  • 0

#2 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 15 August 2007 - 06:56 PM

Không có ai giúp mình vấn đề này sao, mình làm mới nó hi vọng nhận được sự chú ý của các bạn, mong mọi người hết sức thông cảm.
  • 0

#3 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 15 August 2007 - 10:25 PM

Không có ai giúp mình vấn đề này sao, mình làm mới nó hi vọng nhận được sự chú ý của các bạn, mong mọi người hết sức thông cảm.


Bạn dùng lệnh laytrans của AutoCAD: http://www.cadviet.com/content/view/41/34/.

Nếu bạn đang sử dụng ACAD đời thấp, không có lệnh laytrans thì dùng lisp dưới đây, lệnh là CHUYENLAYER:

(defun c:chuyenlayer (/ ent laysrc laydes)
(defun convrt (ent / tt as)
(setq tt (entget ent)
as (assoc 8 tt)
)
(if (and
as
(= (cdr as) laysrc)
)
(progn
(setq tt (subst (cons 8 laydes) as tt))
(entmod tt)
)
)
)
(princ "\nChuyen layer © CADViet.com")
(setq
laysrc (getstring t "\nVao layer nguon: ")
laydes (getstring t "\nVao layer dich: ")
ent (entnext)
ht (tblnext "block" t)
)
(while ent
(convrt ent)
(setq ent (entnext ent))
)
(while ht
(setq ent (cdr (assoc -2 ht))
tt (entget ent)
name (cdr (assoc 0 tt))
)
(while (and ent (/= name "ENDBLK"))
(convrt ent)
(setq ent (entnext ent))
(if ent
(setq
tt (entget ent)
name (cdr (assoc 0 tt))
)
)
)
(setq ht (tblnext "block"))
)
(command ".regen")
(princ)
)
(princ "\nChuyen layer © CADViet.com")
(princ)

  • 1

#4 zmen85

zmen85

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 July 2010 - 02:24 PM

Mình có vấn đề như thế này:
Ví dụ: trong một bản vẽ mình có nhiều layer trong đó có layer: 1 và layer: 2
bây giờ mình muốn chuyển tất cả những đối tượng thuộc về layer 1 thành layer 2 (kể cả những đối tượng nằm trong block), để có thể xóa layer 1 đi mà không mất thông tin bản vẽ.
Có thể bằng lệnh của Cad hoạc bằng Lisp, bác nào biết chỉ giúp với, xin cám ơn !


có 1 cách rất đơn giản và ko cần dùng lisp là bạn chỉ cần isolayer vào layer cần chuyển bấm ctrl + A rồi đổi về layer hiện tại sao đó pu là xong
  • 0

#5 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 26 July 2010 - 04:40 PM

có 1 cách rất đơn giản và ko cần dùng lisp là bạn chỉ cần isolayer vào layer cần chuyển bấm ctrl + A rồi đổi về layer hiện tại sao đó pu là xong

Thực ra không cần phải như vậy :
bạn dùng lệnh LAYMRG để gộp layer---> chọn layer 1 ---> enter , chọn layer 2--> enter
vậy là các đối tượng layer 1 chuyển thành layer 2
:cheers: :D :D :cheers:
  • 1
Nhăn răng ra cười cho đời đỡ khổ!!!

#6 lee hao

lee hao

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 02 October 2013 - 08:23 AM

^^ hì hì ! cái này e có thử qua ! e xin lỗi chưa nói dõ ! hix ! nhưng cái lẹnh dài we'  nên e mới xin líp khó nhớ lắm ! :P hì hì mà e làm lệnh mấy lần ! chỉ gộp 2 laeyr thui ! a chỉ e cách gộp nhiều layer dk hem ạ ^^ ! e gà lắm ! mới học cad 


  • 0

$.$.... lunlun.... iu .... $


#7 intelligent

intelligent

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 02 October 2013 - 08:42 AM

bác mód và các anh em tren dien dan ơi cuu em với em dang rat đầu về vấn đề này . em làm việc với autocad rồi xcell tat ca đều thế hiên trên màn hình.em   ngồi làm viêc trong van phong bao nhiêu người soi moi nhin cái màn hình của em để ăn cắp những gì em nghi ra em phải làm thế nào bây giờ! bác cứu em vụ này với.....


  • 0